<?php

/**
 This project has been generated by worker generator
 has been made by fahmi sulaiman
 sulaimanfahmi@gmail.com
 check out my github @dekaulitz
 */

namespace App\Http\Models;
use App\Http\Base\BaseModel;

class SynclogModel extends BaseModel
{
    /**
     * table name from database
     */
    protected $table = "sync";

    /**
     *   alias table for relation issues
     */
    protected $aliasTable = "synclog";

	/**
	* primary key from table remember eloquent doesnt support composite primary key
	*/
	protected $primaryKey = "id";
	/**
	* check the incrementing boolean if the incrementing from database is false then the value is false by default
	*/
	// public $incrementing = false;
	/**
	* fillable property for eloquent attribute cast
	*/
	protected $fillable = [ ];

	protected $aliasPaging = [
		"need_sync" 	=> "synclog.need_sync",
		"sync_date" 	=> "synclog.sync_date",
		"table_name" 	=> "synclog.table_name",
		"updated_at" 	=> "synclog.updated_at"
	];

}